Name:		crda
Version:	3.18
Release:	%mkrel 5
Summary:	Software to upload wireless regulatory information into kernel
License:	ISC
Group:		System/Kernel and hardware
URL:		http://linuxwireless.org/en/developers/Regulatory/CRDA
Source0:	http://wireless.kernel.org/download/crda/crda-%{version}.tar.xz
Source2:        setregdomain
Source3:        setregdomain.1
# Add udev rule to call setregdomain on wireless device add
Patch1:         regulatory-rules-setregdomain.patch
Patch3:		crda-remove-ldconfig.patch
Requires:	udev
Requires:	wireless-regdb
BuildRequires:	libgcrypt-devel
BuildRequires:	libnl3-devel
BuildRequires:	python-m2crypto
BuildRequires:	wireless-regdb

%description
CRDA acts as the udev helper for communication between the kernel and
userspace for regulatory compliance. It relies on nl80211 for
communication. CRDA is intended to be run only through udev
communication from the kernel. The user should never have to run it
manually except if debugging udev issues.

%package devel
Summary:        Header files for use with libreg
Group:          Development/Kernel

%description devel
Header files to make use of libreg for accessing regulatory info.

%prep
%setup -q
%autopatch -p1

%build
export CFLAGS="%{optflags}"
%make V=1

%install
%makeinstall_std DESTDIR=%{buildroot} SBINDIR=%{_sbindir} UDEV_RULE_DIR=%{_udevrulesdir} LIBDIR=%{_libdir}
mkdir -p %{buildroot}%{_prefix}/lib/crda
install -D -pm 0755 %SOURCE2 %{buildroot}%{_sbindir}/
install -D -pm 0644 %SOURCE3 %{buildroot}%{_mandir}/man1/setregdomain.1

%files
%doc LICENSE
%dir %{_prefix}/lib/crda
%{_mandir}/man1/setregdomain.1*
%{_mandir}/man8/crda.8*
%{_mandir}/man8/regdbdump.8*
%{_udevrulesdir}/85-regulatory.rules
%{_libdir}/libreg.so
%defattr(0755,root,root,0755)
%{_sbindir}/crda
%{_sbindir}/regdbdump
%{_sbindir}/setregdomain

%files devel
%{_includedir}/reglib/nl80211.h
%{_includedir}/reglib/regdb.h
%{_includedir}/reglib/reglib.h


%changelog
* Sat Mar 05 2016 daviddavid <daviddavid> 3.18-5.mga6
+ Revision: 985921
- rebuild for python-m2crypto on arm

* Fri Mar 04 2016 daviddavid <daviddavid> 3.18-4.mga6
+ Revision: 985723
- rebuid against python-m2crypto with sslv2 disabled

* Thu Feb 11 2016 umeabot <umeabot> 3.18-3.mga6
+ Revision: 953644
- Mageia 6 Mass Rebuild

* Mon Sep 14 2015 fwang <fwang> 3.18-2.mga6
+ Revision: 879101
- rebuild for new libgcrypt

* Tue Feb 03 2015 tmb <tmb> 3.18-1.mga5
+ Revision: 813198
- update to 3.18

* Wed Oct 15 2014 umeabot <umeabot> 3.13-4.mga5
+ Revision: 744053
- Second Mageia 5 Mass Rebuild

* Thu Sep 18 2014 umeabot <umeabot> 3.13-3.mga5
+ Revision: 693697
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 3.13-2.mga5
+ Revision: 678584
- Mageia 5 Mass Rebuild

* Sun Sep 07 2014 tmb <tmb> 3.13-1.mga5
+ Revision: 673328
- update to 3.13
- add DESTDIR target for libreg (fedora)
- dont run ldconfig during build (fedora)
- add -devel package for libreg
- update filelists

* Fri Oct 18 2013 umeabot <umeabot> 1.1.3-3.mga4
+ Revision: 522022
- Mageia 4 Mass Rebuild

* Tue Feb 05 2013 tmb <tmb> 1.1.3-2.mga3
+ Revision: 394706
- fix udev crda call path

* Sun Jan 27 2013 tmb <tmb> 1.1.3-1.mga3
+ Revision: 392756
- update to 1.1.3

* Wed Jan 23 2013 fwang <fwang> 1.1.2-5.mga3
+ Revision: 391224
- updat macro
- update rpm group and prefix

* Fri Jan 11 2013 umeabot <umeabot> 1.1.2-4.mga3
+ Revision: 348296
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Mar 20 2012 tmb <tmb> 1.1.2-3.mga2
+ Revision: 225074
- adapt setregdomain for Mageia
- add setregdomain to set correct wireless regulatory domain on udev trigger (fedora)

* Tue Mar 20 2012 tmb <tmb> 1.1.2-2.mga2
+ Revision: 224997
- build with libnl3

* Fri Jan 06 2012 tmb <tmb> 1.1.2-1.mga2
+ Revision: 192666
- update to 1.1.2
- imported package crda


* Thu Jan 13 2011 Thomas Backlund <tmb@mageia.org> 1.1.1-3.mga1
- initial Mageia import

* Tue Nov 30 2010 Oden Eriksson <oeriksson@mandriva.com> 1.1.1-2mdv2011.0
+ Revision: 603858
- rebuild

* Sat Mar 20 2010 Emmanuel Andry <eandry@mandriva.org> 1.1.1-1mdv2010.1
+ Revision: 525464
- New version 1.1.1

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 1.1.0-2mdv2010.1
+ Revision: 522420
- rebuilt for 2010.1

* Tue Jul 14 2009 Thomas Backlund <tmb@mandriva.org> 1.1.0-1mdv2010.0
+ Revision: 396005
- update to 1.1.0

* Tue Jan 27 2009 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1.0.1-1mdv2009.1
+ Revision: 334144
- Updated to version 1.0.1

* Wed Jan 21 2009 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0.9.5-1mdv2009.1
+ Revision: 332343
- Add requires to udev.
- import crda


